tt_session_bprop(library call)

NAME
tt_session_bprop — retrieve the ith value of the named property of a session

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_session_bprop(
const char *sessid,
const char *propname,
int i,
unsigned char **value,
int *length);

DESCRIPTION

The tt_session_bprop function retrieves the ith value of the named property of the specified session.

If there are i values or fewer, both the returned value and the returned length are set to zero.

The sessid argument is the session joined. The application can use the sessid value returned when tt_default_session is called. The propname argument is the name of the property from which values are to be obtained. The i argument is the number of the item in the property list from which the value is to be obtained. The list numbering begins with zero. The value argument is the address of a character pointer to which the ToolTalk service is to point a string that contains the contents of the property. The len argument is the address of an integer to which the ToolTalk service is to set the length of the value in bytes.

RETURN VALUE

Upon successful completion, the tt_session_bprop function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMEM
    There is insufficient memory available to perform the function.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_PROPNAME
    The specified property name is syntactically invalid.

TT_ERR_SESSION
    The specified ToolTalk session is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).